## org.eclipse.ocl.cst
Interface PackageDeclarationCS

All Superinterfaces:
  CSTNode, EObject, Notifier

All Known Implementing Classes:
  PackageDeclarationCSImpl

    public interface PackageDeclarationCS

extends CSTNode

A representation of the model object 'Package Declaration CS'.

The following features are supported:

- `Path Name CS`
- `Context Decls`
- `Package Declaration CS`

See Also:
  `CSTPackage.getPackageDeclarationCS()`

Method Summary
`EList<ContextDeclCS>` `getContextDecls()` Returns the value of the 'Context Decls' containment reference list.
`PackageDeclarationCS` `getPackageDeclarationCS()` Returns the value of the 'Package Declaration CS' reference
`PathNameCS` `getPathNameCS()` Returns the value of the 'Path Name CS' containment reference
`void` `setPackageDeclarationCS(PackageDeclarationCS value)` Sets the value of the '`Package Declaration CS`' reference
`void` `setPathNameCS(PathNameCS value)` Sets the value of the '`Path Name CS`' containment reference

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getEndOffset, getStartOffset, setEndOffset, setStartOffset`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPathNameCS

    PathNameCS getPathNameCS()

  Returns the value of the 'Path Name CS' containment reference.

  If the meaning of the 'Path Name CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Path Name CS' containment reference.
  See Also:
    `setPathNameCS(PathNameCS)`, `CSTPackage.getPackageDeclarationCS_PathNameCS()`

### setPathNameCS

    void setPathNameCS(PathNameCS value)

  Sets the value of the '`Path Name CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Path Name CS' containment reference.
  See Also:
    `getPathNameCS()`

### getContextDecls

    EList<ContextDeclCS> getContextDecls()

  Returns the value of the 'Context Decls' containment reference list. The list contents are of type `ContextDeclCS`.

  If the meaning of the 'Context Decls' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Context Decls' containment reference list.
  See Also:
    `CSTPackage.getPackageDeclarationCS_ContextDecls()`

### getPackageDeclarationCS

    PackageDeclarationCS getPackageDeclarationCS()

  Returns the value of the 'Package Declaration CS' reference.

  If the meaning of the 'Package Declaration CS' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Package Declaration CS' reference.
  See Also:
    `setPackageDeclarationCS(PackageDeclarationCS)`, `CSTPackage.getPackageDeclarationCS_PackageDeclarationCS()`

### setPackageDeclarationCS

    void setPackageDeclarationCS(PackageDeclarationCS value)

  Sets the value of the '`Package Declaration CS`' reference.

  Parameters:
    `value` - the new value of the 'Package Declaration CS' reference.
  See Also:
    `getPackageDeclarationCS()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.